TFTPWriteRequestPacket
Date: 2016-06-23

org.apache.commons.net.tftp

## Class TFTPWriteRequestPacket

- java.lang.Object
- - org.apache.commons.net.tftp.TFTPPacket
  - - org.apache.commons.net.tftp.TFTPRequestPacket
    - - org.apache.commons.net.tftp.TFTPWriteRequestPacket

-     public final class TFTPWriteRequestPacket
      extends TFTPRequestPacket

  A class derived from TFTPRequestPacket definiing a TFTP write request packet type.

  Details regarding the TFTP protocol and the format of TFTP packets can be found in RFC 783. But the point of these classes is to keep you from having to worry about the internals. Additionally, only very few people should have to care about any of the TFTPPacket classes or derived classes. Almost all users should only be concerned with the `TFTPClient` class `receiveFile()` and `sendFile()` methods.

  See Also:
    `TFTPPacket`, `TFTPRequestPacket`, `TFTPPacketException`, `TFTP`

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.net.tftp.TFTPPacket

      `ACKNOWLEDGEMENT, DATA, ERROR, READ_REQUEST, SEGMENT_SIZE, WRITE_REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFTPWriteRequestPacket(java.net.InetAddress destination, int port, java.lang.String filename, int mode)` Creates a write request packet to be sent to a host at a given port with a filename and transfer mode request.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.net.tftp.TFTPRequestPacket

      `getFilename, getMode, newDatagram`

    - ### Methods inherited from class org.apache.commons.net.tftp.TFTPPacket

      `getAddress, getPort, getType, newTFTPPacket, setAddress, setPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TFTPWriteRequestPacket

          public TFTPWriteRequestPacket(java.net.InetAddress destination,
                                int port,
                                java.lang.String filename,
                                int mode)

      Creates a write request packet to be sent to a host at a given port with a filename and transfer mode request.
      Parameters:
        `destination` - The host to which the packet is going to be sent.
        `port` - The port to which the packet is going to be sent.
        `filename` - The requested filename.
        `mode` - The requested transfer mode. This should be on of the TFTP class MODE constants (e.g., TFTP.NETASCII_MODE).